Package be.ehealth.businessconnector.genins.exception

# Class GenInsBusinessConnectorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
be.ehealth.technicalconnector.exception.ConnectorException
be.ehealth.businessconnector.genins.exception.GenInsBusinessConnectorException

All Implemented Interfaces:
  `Serializable`

public class GenInsBusinessConnectorException extends ConnectorException
Connector Exception for Generic Insurability Connector. Extends : `ConnectorException`

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenInsBusinessConnectorException(GenInsBusinessConnectorExceptionValues errorCodeValue, SOAErrorType causeError, Throwable cause)`
  Constructs a new exception with error code and error type
  `GenInsBusinessConnectorException(GenInsBusinessConnectorExceptionValues errorCodeValue, SOAErrorType causeError, Throwable cause, Object... params)`
  Constructs a new exception with error code, error type and extra argument contains the detail of the error
  `GenInsBusinessConnectorException(GenInsBusinessConnectorExceptionValues errorCodeValue, Throwable e, Object... params)`
  Constructs a new exception with error code, exception and extra argument contains the detail of the error
  `GenInsBusinessConnectorException(GenInsBusinessConnectorExceptionValues errorCodeValue, Throwable cause, String param)`
  Constructs a new exception with errorCodeValue and extra argument param contains the detail of the error

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SOAErrorType`
  `getSOAError()`

  ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

  `getErrorCode`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GenInsBusinessConnectorException

    public GenInsBusinessConnectorException(GenInsBusinessConnectorExceptionValues errorCodeValue, SOAErrorType causeError, Throwable cause, Object... params)
    Constructs a new exception with error code, error type and extra argument contains the detail of the error
    Parameters:
      `errorCodeValue` - The detail message (which is construct using the enum GenInsBusinessConnectorExceptionValues)
      `causeError` - the cause of error which is SOAErrorType error type
      `cause` - the causing exception
      `params` - : The extra arguments which contains the details of the error

  - ### GenInsBusinessConnectorException

    public GenInsBusinessConnectorException(GenInsBusinessConnectorExceptionValues errorCodeValue, SOAErrorType causeError, Throwable cause)
    Constructs a new exception with error code and error type
    Parameters:
      `errorCodeValue` - The detail message (which is construct using the enum GenInsBusinessConnectorExceptionValues)
      `causeError` - the cause of error which is SOAErrorType error type
      `cause` - original causing throwable

  - ### GenInsBusinessConnectorException

    public GenInsBusinessConnectorException(GenInsBusinessConnectorExceptionValues errorCodeValue, Throwable e, Object... params)
    Constructs a new exception with error code, exception and extra argument contains the detail of the error
    Parameters:
      `errorCodeValue` - The detail message (which is construct using the enum GenInsBusinessConnectorExceptionValues)
      `e` - The exception thrown
      `params` - The extra arguments which contains the details of the error

  - ### GenInsBusinessConnectorException

    public GenInsBusinessConnectorException(GenInsBusinessConnectorExceptionValues errorCodeValue, Throwable cause, String param)
    Constructs a new exception with errorCodeValue and extra argument param contains the detail of the error
    Parameters:
      `errorCodeValue` - The detail message (which is construct using the enum GenInsBusinessConnectorExceptionValues)
      `param` - The extra arguments which contains the details of the error

- ## Method Details

  - ### getSOAError

    public SOAErrorType getSOAError()
    Returns:
      the cause